Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84467 - Panel leaks background when hiding/unhiding
Summary: Panel leaks background when hiding/unhiding
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gnome-panel
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 79578
TreeView+ depends on / blocked
 
Reported: 2003-02-17 20:42 UTC by Havoc Pennington
Modified: 2008-05-01 15:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-07-28 21:52:42 UTC


Attachments (Terms of Use)

Description Havoc Pennington 2003-02-17 20:42:02 UTC
Large memory leak when using image/transparent background with autohide panel.

Comment 1 Kjartan Maraas 2003-02-17 21:10:53 UTC
Adding some links to similar upstream reports:

http://bugzilla.gnome.org/show_bug.cgi?id=105148
http://bugzilla.gnome.org/show_bug.cgi?id=103503

And the one with the most discussion:

http://bugzilla.gnome.org/show_bug.cgi?id=98330


Comment 2 Kjartan Maraas 2003-02-17 22:53:36 UTC
Here's a leak trace from memprof:

Leaked 0x40fda008 (141696 bytes)
malloc(): /gnome/head/cvs/memprof/memintercept.c:89
g_try_malloc(): /gnome/head/cvs/glib/glib/gmem.c:193
gdk_pixbuf_new(): /gnome/head/cvs/gtk+/gdk-pixbuf/gdk-pixbuf.c:174
gdk_pixbuf_composite_color_simple():
/gnome/head/cvs/gtk+/gdk-pixbuf/gdk-pixbuf-scale.c:286
composite_color_onto_desktop():
/gnome/head/cvs/gnome-panel/gnome-panel/panel-background.c:244
get_composited_pixbuf():
/gnome/head/cvs/gnome-panel/gnome-panel/panel-background.c:256
panel_background_composite():
/gnome/head/cvs/gnome-panel/gnome-panel/panel-background.c:285
panel_background_transform():
/gnome/head/cvs/gnome-panel/gnome-panel/panel-background.c:428
panel_widget_set_background_region():
/gnome/head/cvs/gnome-panel/gnome-panel/panel-widget.c:1207
toplevel_configure_event():
/gnome/head/cvs/gnome-panel/gnome-panel/panel-widget.c:1473
_gtk_marshal_BOOLEAN__BOXED(): /gnome/head/cvs/gtk+/gtk/gtkmarshalers.c:86
g_closure_invoke(): /gnome/head/cvs/glib/gobject/gclosure.c:442
signal_emit_unlocked_R(): /gnome/head/cvs/glib/gobject/gsignal.c:2664
g_signal_emit_valist(): /gnome/head/cvs/glib/gobject/gsignal.c:2564
g_signal_emit(): /gnome/head/cvs/glib/gobject/gsignal.c:2614
gtk_widget_event_internal(): /gnome/head/cvs/gtk+/gtk/gtkwidget.c:3143
gtk_main_do_event(): /gnome/head/cvs/gtk+/gtk/gtkmain.c:1525
gdk_event_dispatch(): /gnome/head/cvs/gtk+/gdk/x11/gdkevents-x11.c:2018
g_main_dispatch(): /gnome/head/cvs/glib/glib/gmain.c:1653
g_main_context_dispatch(): /gnome/head/cvs/glib/glib/gmain.c:2198
g_main_context_iterate(): /gnome/head/cvs/glib/glib/gmain.c:2278
g_main_loop_run(): /gnome/head/cvs/glib/glib/gmain.c:2498
gtk_main(): /gnome/head/cvs/gtk+/gtk/gtkmain.c:1093
main(): /gnome/head/cvs/gnome-panel/gnome-panel/main.c:218
__libc_start_main():
/usr/src/build/151052-i686/BUILD/glibc-2.2.4/csu/../sysdeps/generic/libc-start.c:129
_start()

Comment 3 Havoc Pennington 2003-02-20 22:51:18 UTC
 2.2.0.1-6 should fix

Comment 4 Bill Nottingham 2003-07-28 21:52:42 UTC
Closing some bugs that have been in MODIFIED for a while. Please reopen if the
problem persists.


Note You need to log in before you can comment on or make changes to this bug.